#include "EntityRemovedUpdate.h"

#include "Globals.h"

EntityRemovedUpdateType::EntityRemovedUpdateType()
    : WorldUpdateType(ID)
{}

void EntityRemovedUpdateType::applyUpdate(Framework::StreamReader* zReader)
{
    int id;
    zReader->lese((char*)&id, 4);
    World::INSTANCE->removeEntity(id);
}